## org.eclipse.emf.ecore.xmi.impl
Class XMILoadImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
          org.eclipse.emf.ecore.xmi.impl.XMILoadImpl

All Implemented Interfaces:
  XMLLoad

Direct Known Subclasses:
  EMOFLoadImpl

    public class XMILoadImpl

extends XMLLoadImpl

This class creates an XMIHandler rather than an XMLHandler so an XMI file can be loaded.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`XMLLoadImpl.AttributesProxy`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`BUFFER_SIZE, helper, is, namespaceAware, options, resource, SAX_LEXICAL_PROPERTY`

Constructor Summary
`XMILoadImpl(XMLHelper helper)` Constructor for XMILoad.

Method Summary
`protected org.xml.sax.helpers.DefaultHandler` `makeDefaultHandler()`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`createDefaultHandler, getEncoding, handleErrors, load, load, load, makeParser, readBuffer, traverse, traverseElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMILoadImpl

    public XMILoadImpl(XMLHelper helper)

  Constructor for XMILoad.

Method Detail

### makeDefaultHandler

    protected org.xml.sax.helpers.DefaultHandler makeDefaultHandler()

  Overrides:
    `makeDefaultHandler` in class `XMLLoadImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.